FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| GetWsBounds (Box3d &wsBounds)
| Ctor.
template<typename T>
void | operator() (const T &vec) const
| Functor.

## Public Attributes

Box3d & | m_wsBounds

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds

Definition at line 1168 of file FieldGroup.h.

## Constructor & Destructor Documentation

## GetWsBounds()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds::GetWsBounds | ( | Box3d & | wsBounds | ) |

inline

Ctor.

Definition at line 1171 of file FieldGroup.h.

: m_wsBounds(wsBounds)
{ }
FieldGroup::GetWsBounds::m_wsBounds
Box3d & m_wsBounds
Definition FieldGroup.h:1200
FieldGroup
Definition FieldGroup.h:304

References m_wsBounds, and FieldGroup< BaseTypeList_T, Dims_T >::wsBounds().

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1176 of file FieldGroup.h.

{
for (size_t field = 0, end = vec.size(); field < end; ++field) {
// Pointer to mapping
const FieldMapping* mapping = vec[field].mapping;
if (mapping) {
// Corner vertices in local space
std::vector<V3d> lsP = detail::unitCornerPoints();
// Transform to world space and pad resulting bounds
for (size_t i = 0; i < 8; ++i) {
V3d wsP;
if (vec[field].doOsToWs) {
V3d osP;
mapping->localToWorld(lsP[i], osP);
vec[field].osToWs.multVecMatrix(osP, wsP);
} else {
mapping->localToWorld(lsP[i], wsP);
}
m_wsBounds.extendBy(wsP);
}
}
}
}
detail::unitCornerPoints
std::vector< V3d > unitCornerPoints()
Definition FieldGroup.h:228
FieldGroup::size
virtual size_t size() const
The number of fields in the group.
Definition FieldGroup.h:689

References FieldMapping::localToWorld(), m_wsBounds, and detail::unitCornerPoints().

## Member Data Documentation

## m_wsBounds

template<typename BaseTypeList_T, int Dims_T>

Box3d& FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds::m_wsBounds

Definition at line 1200 of file FieldGroup.h.

Referenced by GetWsBounds(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h